error : java.lang.IllegalArgumentException: already added : Landroid/support/v4/accessibilityservi

2»

Answers

  • SreeeeSreeee INMember ✭✭✭✭✭
    edited March 2018

    Hi @DaniloOliveira:
    Just remove every Xamarin.Android.Support... (and their dependencies ) in your Droid project and add them again .

  • _Jai_Jai USMember ✭✭

    Error java.lang.IllegalArgumentException: already added : Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompat;
    same error

  • _Jai_Jai USMember ✭✭

    To solve that pkg error ..... i have uninstall the all support and xamarin forms .... and then again install it.... it works .... :smile:

  • FelipeSouzaLongoFelipeSouzaLongo USMember ✭✭

    @BerayBentesen said:
    @PravinPatil This means you have the same library twice but the versions are different and it seems that library is support v4. Try to install support v4 after installing Facebook library.

    Thanks!!
    My problem was that my Xamarin.Android.Support.v4 library was outdated compared to my others referenced android libs.
    I just updated with latest version (same version of my other libs) using NuGet

    :)

  • FredyWengerFredyWenger CHInsider ✭✭✭✭✭

    Updated my old .forms project (2.3.x) to 3.1 and VS2015 to VS2017.
    Exactly same problem as @FelipeSouzaLongo with my Android project:
    Adjusted the version of Nuget to amarin.Android.Support.v4 to the other versions (in my case, it was 23.x.x to 25.4.0.2 (target: Android 7) and the error message disappear…
    So... before you reinstall the whole environment… try that....

  • Updating all packages from Manage nuget package solved this and installing new API Level, like25,26,27

  • @Charlin said:
    I had the same issue, solved it updating Xamarin.Android.Support.v4 to latest version

    Thank you

  • DannieIbangaDannieIbanga Member ✭✭

    Go to your Nuget, update all you xamarin.support libraries. this will definitely solve the errors.
    Goodluck devs.

2»
Sign In or Register to comment.